Agent Invocations
Cancel an agent invocation
Cancels an invocation. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Pfadparameter
agent_name
string
Erforderlich
The name of the agent.
invocation_id
string
Erforderlich
The unique identifier of the invocation to cancel.
Headerparameter
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Anforderungstext
Optional request body.
Antworten
The request has succeeded.
Header
x-agent-session-id
string
Erforderlich
Session ID for this invocation. Returns the session ID associated with the invocation.
Text
Anfordern
POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel HTTP/1.1
Antwort
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json